// include the library code:
#include <LiquidCrystal.h>
#include "LegoRC.h"

LegoRC legoRC(2, 50);

// initialize the library with the numbers of the interface pins
//LiquidCrystal lcd(6, 7, 10, 11, 12, 13);

LiquidCrystal lcd(24, 25, 8, 9, 27, 0);

//String stringOne,stringTwo;

int led = 12;

void setup() {
  // set up the LCD's number of columns and rows:
  pinMode(led, OUTPUT);
  
  
  lcd.begin(16, 2);
  Serial.begin(9600);
  
}


String l1="", l2="", tmpl="";
char incomingByte;

int newMSG = 0;

void loop() {
  
  // Lecture d'une chaine de carracteres
  while (Serial.available()) {
    digitalWrite(led, HIGH);
    incomingByte = Serial.read();  // will not be -1
    tmpl = tmpl + char(incomingByte);
    newMSG = 1;
  }
  
  
  
    digitalWrite(led, LOW);  

    if (newMSG) {
      l1 = l2;
      l2 = tmpl.trim();
      
      
      
      String  myString = l2;
      int myStringLength = myString.length()+1;

      char myChar[myStringLength];
       myString.toCharArray(myChar,myStringLength);

      int result = atoi(myChar);

      
      
      sendRc(result);
      
/*       
      lcd.clear();
      
      lcd.setCursor(0, 0);
      //lcd.print(String(l1));      
      lcd.print(result);      

      lcd.print(String(res));      

      lcd.setCursor(0, 1);
      lcd.print(String(l2));      */
      tmpl = "";      
    }
    
    newMSG = 0;
}



void sendRc(int i) {
 
 int m1 = i / 100;
 int m2 = i % 100;
 
 lcd.clear();
 lcd.setCursor(0, 0);
 lcd.print(m1);   

 lcd.setCursor(0, 1);
 lcd.print(m2);   
  
  
 legoRC.sendCommand(4, m1, m2);
 
  
  
}



